com.trendmicro.ds.antimalware.rest.object

## Class AntiMalwareEvent

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.EventObject
  - - com.trendmicro.ds.antimalware.rest.object.AntiMalwareEvent

-     public class AntiMalwareEvent
      extends EventObject

  Author:
    WESLEY

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AntiMalwareEvent.EnumAntiMalwareScanType`
    `static class` | `AntiMalwareEvent.EnumMalwareType`

    - ### Nested classes/interfaces inherited from class com.trendmicro.ds.platform.rest.object.EventObject

      `EventObject.EnumEventOrigin`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AntiMalwareEvent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getAntiMalwareConfigID()` The primary key of AntiMalwareID.
    `java.lang.Long` | `getAntiMalwareEventID()` The primary key of the event entry.
    `java.lang.Integer` | `getErrorCode()` The VSAPI error code indicates the reason of the actions of failure.
    `java.lang.Integer` | `getHostID()` The id of the host the event was recorded on
    `java.lang.String` | `getHostName()` The host name of the event was recorded on
    `java.lang.String` | `getInfectedFilePath()` The infected file full path
    `java.lang.String` | `getInfectionSource()` The source computer of the infection
    `java.lang.String` | `getMalwareName()` The name of the malware
    `AntiMalwareEvent.EnumMalwareType` | `getMalwareType()` The Malware Type of Event
    `java.lang.Integer` | `getProtocol()` The protocols: Local Files(0), Network shared folder(1), etc.
    `java.lang.Integer` | `getQuarantineRecordID()` The Record ID referring to the record in QuarantineFile Table
    `java.lang.Integer` | `getScanAction1()` The actual first scan action being taken: e.g.
    `java.lang.Integer` | `getScanAction2()` The actual second scan action being taken: e.g.
    `java.lang.Integer` | `getScanResultAction1()` The result of the first scan action: represent whether the action is successful (0) or failed (Error Code)
    `java.lang.Integer` | `getScanResultAction2()` The result of the second scan action: represent whether the action is successful (0) or failed (Error Code)
    `AntiMalwareEvent.EnumAntiMalwareScanType` | `getScanType()` The scan types include Real time, Manual, Scheduled, Quick etc.
    `AntiMalwareSpywareItem[]` | `getSpywareItems()` Lists of spyware items if this is a spyware event.
    `java.lang.String` | `getSummaryScanResult()` Scan result description.
    `void` | `setAntiMalwareConfigID(java.lang.Integer antiMalwareConfigID)`
    `void` | `setAntiMalwareEventID(java.lang.Long antiMalwareEventID)`
    `void` | `setErrorCode(java.lang.Integer errorCode)`
    `void` | `setHostID(java.lang.Integer hostID)`
    `void` | `setHostName(java.lang.String hostName)`
    `void` | `setInfectedFilePath(java.lang.String infectedFilePath)`
    `void` | `setInfectionSource(java.lang.String infectionSource)`
    `void` | `setMalwareName(java.lang.String malwareName)`
    `void` | `setMalwareType(AntiMalwareEvent.EnumMalwareType malwareType)`
    `void` | `setProtocol(java.lang.Integer protocol)`
    `void` | `setQuarantineRecordID(java.lang.Integer quarantineRecordID)`
    `void` | `setScanAction1(java.lang.Integer scanAction1)`
    `void` | `setScanAction2(java.lang.Integer scanAction2)`
    `void` | `setScanResultAction1(java.lang.Integer scanResultAction1)`
    `void` | `setScanResultAction2(java.lang.Integer scanResultAction2)`
    `void` | `setScanType(AntiMalwareEvent.EnumAntiMalwareScanType scanType)`
    `void` | `setSpywareItems(AntiMalwareSpywareItem[] spywareItems)`
    `void` | `setSummaryScanResult(java.lang.String summaryScanResult)`

    - ### Methods inherited from class com.trendmicro.ds.platform.rest.object.EventObject

      `getLogTime, getOrigin, getTags, setLogTime, setOrigin, setTags`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AntiMalwareEvent

          public AntiMalwareEvent()

  - ### Method Detail

    - #### getAntiMalwareConfigID

          public java.lang.Integer getAntiMalwareConfigID()

      The primary key of AntiMalwareID.

    - #### setAntiMalwareConfigID

          public void setAntiMalwareConfigID(java.lang.Integer antiMalwareConfigID)

    - #### getAntiMalwareEventID

          public java.lang.Long getAntiMalwareEventID()

      The primary key of the event entry.

    - #### setAntiMalwareEventID

          public void setAntiMalwareEventID(java.lang.Long antiMalwareEventID)

    - #### getErrorCode

          public java.lang.Integer getErrorCode()

      The VSAPI error code indicates the reason of the actions of failure.

    - #### setErrorCode

          public void setErrorCode(java.lang.Integer errorCode)

    - #### getHostID

          public java.lang.Integer getHostID()

      The id of the host the event was recorded on

    - #### setHostID

          public void setHostID(java.lang.Integer hostID)

    - #### getHostName

          public java.lang.String getHostName()

      The host name of the event was recorded on

    - #### setHostName

          public void setHostName(java.lang.String hostName)

    - #### getInfectedFilePath

          public java.lang.String getInfectedFilePath()

      The infected file full path

    - #### setInfectedFilePath

          public void setInfectedFilePath(java.lang.String infectedFilePath)

    - #### getInfectionSource

          public java.lang.String getInfectionSource()

      The source computer of the infection

    - #### setInfectionSource

          public void setInfectionSource(java.lang.String infectionSource)

    - #### getMalwareName

          public java.lang.String getMalwareName()

      The name of the malware

    - #### setMalwareName

          public void setMalwareName(java.lang.String malwareName)

    - #### getMalwareType

          public AntiMalwareEvent.EnumMalwareType getMalwareType()

      The Malware Type of Event

    - #### setMalwareType

          public void setMalwareType(AntiMalwareEvent.EnumMalwareType malwareType)

    - #### getProtocol

          public java.lang.Integer getProtocol()

      The protocols: Local Files(0), Network shared folder(1), etc. However, currently Agent only support local files.

    - #### setProtocol

          public void setProtocol(java.lang.Integer protocol)

    - #### getQuarantineRecordID

          public java.lang.Integer getQuarantineRecordID()

      The Record ID referring to the record in QuarantineFile Table

    - #### setQuarantineRecordID

          public void setQuarantineRecordID(java.lang.Integer quarantineRecordID)

    - #### getScanResultAction1

          public java.lang.Integer getScanResultAction1()

      The result of the first scan action: represent whether the action is successful (0) or failed (Error Code)

    - #### setScanResultAction1

          public void setScanResultAction1(java.lang.Integer scanResultAction1)

    - #### getScanResultAction2

          public java.lang.Integer getScanResultAction2()

      The result of the second scan action: represent whether the action is successful (0) or failed (Error Code)

    - #### setScanResultAction2

          public void setScanResultAction2(java.lang.Integer scanResultAction2)

    - #### getScanAction1

          public java.lang.Integer getScanAction1()

      The actual first scan action being taken: e.g. Pass, Delete, Quarantined...etc

    - #### setScanAction1

          public void setScanAction1(java.lang.Integer scanAction1)

    - #### getScanAction2

          public java.lang.Integer getScanAction2()

      The actual second scan action being taken: e.g. Pass, Delete, Quarantined...etc

    - #### setScanAction2

          public void setScanAction2(java.lang.Integer scanAction2)

    - #### getScanType

          public AntiMalwareEvent.EnumAntiMalwareScanType getScanType()

      The scan types include Real time, Manual, Scheduled, Quick etc.

    - #### setScanType

          public void setScanType(AntiMalwareEvent.EnumAntiMalwareScanType scanType)

    - #### getSpywareItems

          public AntiMalwareSpywareItem[] getSpywareItems()

      Lists of spyware items if this is a spyware event.

    - #### setSpywareItems

          public void setSpywareItems(AntiMalwareSpywareItem[] spywareItems)

    - #### getSummaryScanResult

          public java.lang.String getSummaryScanResult()

      Scan result description.

    - #### setSummaryScanResult

          public void setSummaryScanResult(java.lang.String summaryScanResult)

Copyright © 2015 Trend Micro Inc. All Rights Reserved.